Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.apache.xalan.processor
Class ProcessorCharacters

    java.lang.Object
      |
      +--weblogic.apache.xalan.processor.XSLTElementProcessor
            |
            +--weblogic.apache.xalan.processor.ProcessorCharacters

public class ProcessorCharacters
extends XSLTElementProcessor

This class processes character events for a XSLT template element.

This class is based on an implementation from the Apache XML Project. In future releases the XML parser, XSLT processor, and associated classes will likely be updated to be based on a later version of the Apache implementations. Since Apache does not guarantee backwards compatibility between versions of their software, we cannot guarantee backwards compatibility of any of the classes contained in the weblogic.apache package or sub-packages.

See Also:
  XSLT DTD, section-Creating-the-Result-Tree in XSLT Specification

Field Summary
`protected org.w3c.dom.Node` | `m_firstBackPointer`

Constructor Summary
`ProcessorCharacters()`

Method Summary
`void` | `characters(StylesheetHandler handler, char[] ch, int start, int length)` Receive notification of character data inside an element.
`void` | `endElement(StylesheetHandler handler, java.lang.String uri, java.lang.String localName, java.lang.String rawName)` Receive notification of the end of an element.
`void` | `startNonText(StylesheetHandler handler)` Receive notification of the start of the non-text event.

Methods inherited from class weblogic.apache.xalan.processor.XSLTElementProcessor
`ignorableWhitespace, notationDecl, processingInstruction, resolveEntity, skippedEntity, startElement, unparsedEntityDecl`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### m_firstBackPointer

    protected org.w3c.dom.Node m_firstBackPointer

Constructor Detail

### ProcessorCharacters

    public ProcessorCharacters()

Method Detail

### startNonText

    public void startNonText(StylesheetHandler handler)
                      throws org.xml.sax.SAXException

  Receive notification of the start of the non-text event. This is sent to the current processor when any non-text event occurs.

  Parameters:
    `handler` - non-null reference to current StylesheetHandler that is constructing the Templates.
  Overrides:
    startNonText in class XSLTElementProcessor

### characters

    public void characters(StylesheetHandler handler,
                           char[] ch,
                           int start,
                           int length)
                    throws org.xml.sax.SAXException

  Receive notification of character data inside an element.

  Parameters:
    `handler` - non-null reference to current StylesheetHandler that is constructing the Templates.
    `ch` - The characters.
    `start` - The start position in the character array.
    `length` - The number of characters to use from the character array.
  Throws:
    org.xml.sax.SAXException - Any SAX exception, possibly wrapping another exception.
  Overrides:
    characters in class XSLTElementProcessor
  See Also:
    `ContentHandler.characters(char[], int, int)`

### endElement

    public void endElement(StylesheetHandler handler,
                           java.lang.String uri,
                           java.lang.String localName,
                           java.lang.String rawName)
                    throws org.xml.sax.SAXException

  Receive notification of the end of an element.

  Parameters:
    `handler` - The calling StylesheetHandler/TemplatesBuilder.
    `uri` - The Namespace URI, or the empty string if the element has no Namespace URI or if Namespace processing is not being performed.
    `localName` - The local name (without prefix), or the empty string if Namespace processing is not being performed.
    `rawName` - The raw XML 1.0 name (with prefix), or the empty string if raw names are not available.
    `atts` - The attributes attached to the element. If there are no attributes, it shall be an empty Attributes object.
  Overrides:
    endElement in class XSLTElementProcessor
  See Also:
    `StylesheetHandler.startElement(java.lang.String, java.lang.String, java.lang.String, org.xml.sax.Attributes)`, `StylesheetHandler.endElement(java.lang.String, java.lang.String, java.lang.String)`, `ContentHandler.startElement(java.lang.String, java.lang.String, java.lang.String, org.xml.sax.Attributes)`, `ContentHandler.endElement(java.lang.String, java.lang.String, java.lang.String)`, `Attributes`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference